<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Paths/Polyline.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Paths::Polyline</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../Paths.html" >Paths</a>
</div><div class="class-name">class Polyline

</div><div class="links"><div class="file">File: <a href="../../File/Polyline.h.html" target="detail">Polyline.h</a></div> <div class="xref"><a href="../../XRef/xref0.html#Paths_mPolyline" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Polyline.h.html#line12" ><img src="../../src-c++.png" alt="source code"/></a></div></div>  <img alt="Polyline-inheritance" src="Polyline-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Polyline-inheritance_map" />
<map name="Polyline-inheritance_map"><area alt="Scopes/Path.html" href="../Path.html" shape="rect" coords="35, 7, 80, 31" />
</map>
 <div class="doc">The Polyline class. It is an ordered set of
connected line segments.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <span class="name"><a href="Polyline.html#Polyline_l_r" >Polyline</a></span>()  </div> <div class="xref"><a href="../../XRef/xref0.html#Paths_mPolyline_mPolyline_l_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Polyline.h.html#line17" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc">Create a new Polyline.</div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="draw_l_r">draw</a>()  </div> <div class="xref"><a href="../../XRef/xref0.html#Paths_mPolyline_mdraw_l_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Polyline.h.html#line25" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis">std::vector&lt;<a href="../Vertex.html" >Vertex</a>&gt; <span class="name"><a href="Polyline.html#vertices_" >vertices_</a></span></div> <div class="xref"><a href="../../XRef/xref0.html#Paths_mPolyline_mvertices_" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Polyline.h.html#line28" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc">The data...</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Manipulators Summary:</div>
<div class="item"><div class="synopsis">&#160;void <span class="name"><a href="Polyline.html#add_vertex_lconst.Vertex_A_r" >add_vertex</a></span>(const&#160;<a href="../Vertex.html" >Vertex</a>&amp;)  </div> <div class="xref"><a href="../../XRef/xref0.html#Paths_mPolyline_madd_vertex_lconst.Vertex_A_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Polyline.h.html#line21" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc">Add a new vertex.</div></div>
<div class="item"><div class="synopsis">&#160;void <span class="name"><a href="Polyline.html#remove_vertex_lsize_t_r" >remove_vertex</a></span>(size_t <span class="variable">i</span>)  </div> <div class="xref"><a href="../../XRef/xref0.html#Paths_mPolyline_mremove_vertex_lsize_t_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Polyline.h.html#line23" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc">Remove the vertex at index i.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Public Member functions Details:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Polyline_l_r">Polyline</a>()  </div> <div class="xref"><a href="../../XRef/xref0.html#Paths_mPolyline_mPolyline_l_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Polyline.h.html#line17" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc">Create a new Polyline.
</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Private Data members Details:</div>
<div class="item"><div class="synopsis">std::vector&lt;<a href="../Vertex.html" >Vertex</a>&gt; <a class="name" id="vertices_">vertices_</a></div> <div class="xref"><a href="../../XRef/xref0.html#Paths_mPolyline_mvertices_" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Polyline.h.html#line28" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc">The data...</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Manipulators Details:</div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="add_vertex_lconst.Vertex_A_r">add_vertex</a>(const&#160;<a href="../Vertex.html" >Vertex</a>&amp;)  </div> <div class="xref"><a href="../../XRef/xref0.html#Paths_mPolyline_madd_vertex_lconst.Vertex_A_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Polyline.h.html#line21" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc">Add a new vertex.</div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="remove_vertex_lsize_t_r">remove_vertex</a>(size_t <span class="variable">i</span>)  </div> <div class="xref"><a href="../../XRef/xref0.html#Paths_mPolyline_mremove_vertex_lsize_t_r" ><img src="../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../Source/Polyline.h.html#line23" ><img src="../../src-c++.png" alt="source code"/></a></div> <div class="doc">Remove the vertex at index i.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Fri Apr 17 08:48:13 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
